# $Revision: 1.7 $, $Date: 2001/11/21 10:00:01 $
Summary:	Tool for converting C/C++ sources to PostScript
Summary(pl):	Narzdzie do konwersji rde C/C++ na PostScript
Name:		c2ps
Version:	4.0
Release:	2
License:	GPL
Group:		Applications/Printing
Group(de):	Applikationen/Drucken
Group(pl):	Aplikacje/Drukowanie
Source0:	http://www.geocities.com/SiliconValley/Park/2055/%{name}-40.tgz
Patch0:		%{name}-OPT_FLAGS.patch
URL:		http://www.geocities.com/SiliconValley/Park/2055/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This small utility converts C/C++ sources to PostScript. It performs
syntax highlighting and can add many, very usefull informations to the
printout, such as line numbers, headers and indexes of functions on
each page. Great thing, if you waste too much time in traffic jams or
public transport ;)

%description -l pl
To mae narzdzie konwertuje pliki rdowe C/C++ do PostScriptu.
Wykonuje wyrnianie skadni a take potrafi doda do wydruku wiele
bardzo uytecznych informacji, takich jak numery linii, nagwki oraz
indeksy funkcji znajdujcych si na poszczeglnych stronach. wietna
rzecz, jeli tracisz zbyt duo czasu stojc w korkach, albo w
komunikacji miejskiej ;)

%prep
%setup -q
%patch0 -p1

%build
%{__make} OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install c2ps	$RPM_BUILD_ROOT%{_bindir}
install c2ps.1	$RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: c2ps.spec,v $
Revision 1.7  2001/11/21 10:00:01  kloczek
- cosmetics.

Revision 1.6  2001/11/21 08:49:10  saq
- release 2, rebuild

Revision 1.5  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.4  2000/09/14 11:02:49  klakier
- orthography fixed

Revision 1.3  2000/07/21 19:18:08  mkochano
- Added descriptions (I've forgot about them, sorry).

Revision 1.2  2000/07/21 18:59:54  kloczek
- added URL,
- copy Summary to %description sections.

Revision 1.1  2000/07/21 18:49:18  mkochano
- Written from scratch.
